# DMT AutoGui

AutoGui is a Python library that simplifies automating graphical user interfaces (GUIs) using `pyautogui`, `pyperclip`, and other related libraries. It provides a higher-level interface for common GUI automation tasks, such as finding and clicking images, typing text, taking screenshots, and interacting with system processes.  It also includes robust error handling and logging capabilities.

## Features

* **Image Recognition:**  Locate images on the screen with configurable confidence levels and timeouts.
* **Mouse Control:** Click on images or specific coordinates. Get the current mouse position.
* **Keyboard Control:** Press keys and write text.
* **Screen Operations:** Get screen size and take screenshots, optionally specifying a region.
* **System Interaction:** Open and close programs.
* **Error Handling:**  Uses `Model_Error` objects for consistent error reporting.
* **Logging:** Integrated logging with customizable levels.
* **Path Handling:**  Handles both relative and absolute file paths for images.

## Installation

```bash
pip install pyautogui pyperclip Pillow